# PanelAutoShowMode

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies how a collapsed [Panel](/api/wisej.web/containers/wisej.web.panel.md) automatically shows its content.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum PanelAutoShowMode : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum PanelAutoShowMode As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name              | Description                                                          |
| ----------------- | -------------------------------------------------------------------- |
| **Never**         | The content is never shown unless the panel is expanded.             |
| **OnClick**       | The content is shown when the collapsed header is clicked.           |
| **OnPointerOver** | The content is shown when the mouse moves over the collapsed header. |

## Used By

| Name                                                                    | Description                                                                                                                            |
| ----------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------- |
| [Panel.AutoShow](/api/wisej.web/containers/wisej.web.panel.md#autoshow) | Returns or sets a value that indicates whether the collapsed panel is automatically expanded when the mouse hovers over the title bar. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.panelautoshowmode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
